Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.spi.core.util
Class DisposeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.emf.ecp.spi.core.util.DisposeException

All Implemented Interfaces:
  Serializable

    public class DisposeException

extends Exception

This is an Exception that is thrown during dispose actions.

Since:
  1.1
Author:
  Eugen Neufeld
See Also:
  Serialized Form

Constructor Summary
`DisposeException(String message, Throwable cause)` Constructs a new exception with the specified detail message and cause.
`DisposeException(Throwable cause)` Constructs a new exception with the specified cause and a detail message of (cause==null ? null : cause.toString())

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DisposeException

    public DisposeException(String message,
                            Throwable cause)

  Constructs a new exception with the specified detail message and cause.

  Parameters:
    `message` - the detail message (which is saved for later retrieval by the getMessage() method).
    `cause` - the cause (which is saved for later retrieval by the getCause() method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)

### DisposeException

    public DisposeException(Throwable cause)

  Constructs a new exception with the specified cause and a detail message of (cause==null ? null : cause.toString())

  Parameters:
    `cause` - the cause (which is saved for later retrieval by the getCause() method).

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.